Redmine - Feature #22491

"Add" button behavior on issue page for Subtasks and Relation is inconsistent
2016-04-13 20:26 - Sebastian Paluch
Description

In case of Subtasks, the "Add" button leads to new issue form, so it creates new issue.
In case of Related issues, the "Add" button shows small form to lookup for existing issue number and create relation for it.

This is sometimes confusing and makes me to explain those simple things.
| would like to propose to:

1. change the Subtasks "Add" button to "New issue", which is, to use label_issue_new in here:

# Returns a link for adding a new subtask to the given issue
def link_to_new_subtask (issue)
attrs = {
:tracker_id => issue.tracker,
:parent_issue_id => issue
}
link_to(l(:button_add), new_project_issue_path(issue.project, :issue => attrs))
end

2. optionally, add new Subtasks "Add" button opening the same small form to lookup for existing issue number and make it a
subtask.

History

#1 - 2016-04-18 14:00 - Go MAEDA

| would like to propose to:

1. change the Subtasks "Add" button to "New issue", which is, to use label_issue_new in here:

+1.
But | think "New subtask" is clearer than "New issue".

#2 - 2016-04-18 14:09 - Sebastian Paluch
Go MAEDA wrote:

But | think "New subtask" is clearer than "New issue".

That would be fine too.

#3 - 2016-04-30 08:40 - Go MAEDA
- File 22491.diff added
- File 22491.png added

- Target version set to Candidate for next major release

| wrote a patch to change the label: 22491 diff
22491.png
#4 - 2016-05-08 16:25 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

#5 - 2016-05-13 05:44 - Toshi MARUYAMA
- Description updated
#6 - 2016-06-22 12:16 - Robert Schneider
| would suggest to put "New subtask" into the new "+" menu dropdown:
menu_item.png
Of course, this would require that the menu items are context dependend, since it makes no sense when the user sees e.g. the Roadmap page and
gets a "New subtask" entry (sub task of what?). But it does make sense when the user sees a ticket! So the menu entry could be only visible if the

user has entered the ticket view.

With this the "Add" link/button could be left as it is, but with the proper meaning that the user just adds an existing ticket as subtask. It would than
have the logic as the Related issues "Add" link/button.

Should | create a new feature ticket for this suggestion?
#7 - 2016-06-23 05:22 - Go MAEDA
Robert Schneider wrote:
Should | create a new feature ticket for this suggestion?

Yes, could you please create a new issue? We are going to change the text from "Add" to "New subtask" on this issue. Your suggestion is much
bigger than what we have been discussing, so it would be better to create another issue.

#8 - 2016-06-23 08:22 - Robert Schneider
Here it is: #23143

#9 - 2017-04-03 09:02 - Jean-Philippe Lang
- Target version deleted (3.4.0)

We'll change the label when we sill support both ways of adding a subtasks. For now I think it's not needed and will take time to be updated in all
translations.

Files
22491 diff 955 Bytes 2016-04-30 Go MAEDA
22491.png 18.4 KB 2016-04-30 Go MAEDA
